# Applications

## Redirect to URI with encrypted API key [#redirect-to-uri-with-encrypted-api-key]

### Code samples [#code-samples]

```sh
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/applications/auth-redirect \
  -H 'Coder-Session-Token: API_KEY'
```

`GET /api/v2/applications/auth-redirect`

### Parameters [#parameters]

| Name           | In    | Type   | Required | Description          |
| -------------- | ----- | ------ | -------- | -------------------- |
| `redirect_uri` | query | string | false    | Redirect destination |

### Responses [#responses]

| Status | Meaning                                                                 | Description        | Schema |
| ------ | ----------------------------------------------------------------------- | ------------------ | ------ |
| 307    | [Temporary Redirect](https://tools.ietf.org/html/rfc7231#section-6.4.7) | Temporary Redirect |        |

To perform this operation, you must be authenticated. [Learn more](/beta-docs/reference/api/authentication/).

## Get applications host [#get-applications-host]

### Code samples [#code-samples-1]

```sh
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/applications/host \
  -H 'Accept: application/json' \
  -H 'Coder-Session-Token: API_KEY'
```

`GET /api/v2/applications/host`

### Example responses [#example-responses]

> 200 Response

```json
{
  "host": "string"
}
```

### Responses [#responses-1]

| Status | Meaning                                                 | Description | Schema                                                                                |
| ------ | ------------------------------------------------------- | ----------- | ------------------------------------------------------------------------------------- |
| 200    | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK          | [codersdk.AppHostResponse](/beta-docs/reference/api/schemas/#codersdkapphostresponse) |

To perform this operation, you must be authenticated. [Learn more](/beta-docs/reference/api/authentication/).
